安装cocoapods失败 Install cocoapods failed on mac os 10.15

最近更新cocoapods出现以下报错

Failed to build gem native extension

查了下似乎是跟ffi有关,找了很多方法 包括rbenv,
最后是这个命令解决了问题,
在这里分享给大家:

`gem inst ffi —  –disable-system-libffi`

问题的原始出处
https://github.com/ffi/ffi/issues/791